## net.percederberg.mib.asn1.analysis
Interface Switch

All Known Implementing Classes:
  DepthFirstAdapter, SwitchAdapter

public interface Switch

This interface specifies methods being called upon switching from the nodes. See the visitor (or switch) design pattern for information on how this works.

Author:
  Per Cederberg, per@percederberg.net

Method Summary
`void` `caseAlphabetConstraint(Node node)`
`void` `caseAnyType(Node node)`
`void` `caseAssignment(Node node)`
`void` `caseAssignmentList(Node node)`
`void` `caseBinaryString(Node node)`
`void` `caseBitStringType(Node node)`
`void` `caseBooleanValue(Node node)`
`void` `caseBuiltinType(Node node)`
`void` `caseBuiltinValue(Node node)`
`void` `caseCharString(Node node)`
`void` `caseChoiceType(Node node)`
`void` `caseClass(Node node)`
`void` `caseClassNumber(Node node)`
`void` `caseConstraint(Node node)`
`void` `caseConstraintList(Node node)`
`void` `caseDefinedMacroName(Node node)`
`void` `caseDefinedMacroType(Node node)`
`void` `caseDefinedType(Node node)`
`void` `caseDefinedValue(Node node)`
`void` `caseElementType(Node node)`
`void` `caseElementTypeList(Node node)`
`void` `caseEnumeratedType(Node node)`
`void` `caseEOF(Node node)`
`void` `caseExports(Node node)`
`void` `caseHexString(Node node)`
`void` `caseIdentifier(Node node)`
`void` `caseImports(Node node)`
`void` `caseIntegerType(Node node)`
`void` `caseLowerEndPoint(Node node)`
`void` `caseMacroBody(Node node)`
`void` `caseMacroDefinition(Node node)`
`void` `caseMacroReference(Node node)`
`void` `caseModuleBody(Node node)`
`void` `caseModuleDefinition(Node node)`
`void` `caseModuleIdentifier(Node node)`
`void` `caseModuleReference(Node node)`
`void` `caseNameAndNumberForm(Node node)`
`void` `caseNamedNumber(Node node)`
`void` `caseNamedNumberList(Node node)`
`void` `caseNamedType(Node node)`
`void` `caseNamedValue(Node node)`
`void` `caseNullValue(Node node)`
`void` `caseNumber(Node node)`
`void` `caseObjectIdentifierValue(Node node)`
`void` `caseObjIdComponent(Node node)`
`void` `caseObjIdComponentList(Node node)`
`void` `caseSelectionType(Node node)`
`void` `caseSequenceOfType(Node node)`
`void` `caseSequenceType(Node node)`
`void` `caseSetOfType(Node node)`
`void` `caseSetType(Node node)`
`void` `caseSignedNumber(Node node)`
`void` `caseSizeConstraint(Node node)`
`void` `caseSkipToEND(Node node)`
`void` `caseSnmpAccessPart(Node node)`
`void` `caseSnmpDefValPart(Node node)`
`void` `caseSnmpDescrPart(Node node)`
`void` `caseSnmpIndexPart(Node node)`
`void` `caseSnmpObjectTypeMacroType(Node node)`
`void` `caseSnmpReferPart(Node node)`
`void` `caseSnmpStatusPart(Node node)`
`void` `caseSnmpTrapTypeMacroType(Node node)`
`void` `caseSnmpVarPart(Node node)`
`void` `caseSpecialRealValue(Node node)`
`void` `caseStart(Node node)`
`void` `caseStringType(Node node)`
`void` `caseSymbol(Node node)`
`void` `caseSymbolList(Node node)`
`void` `caseSymbolsFromModule(Node node)`
`void` `caseSymbolsFromModuleList(Node node)`
`void` `caseTABSENT(Node node)`
`void` `caseTACCESS(Node node)`
`void` `caseTag(Node node)`
`void` `caseTagDefault(Node node)`
`void` `caseTaggedType(Node node)`
`void` `caseTANY(Node node)`
`void` `caseTAPPLICATION(Node node)`
`void` `caseTASSIGN(Node node)`
`void` `caseTBAR(Node node)`
`void` `caseTBEGIN(Node node)`
`void` `caseTBINSTRING(Node node)`
`void` `caseTBIT(Node node)`
`void` `caseTBOOLEAN(Node node)`
`void` `caseTBY(Node node)`
`void` `caseTCHOICE(Node node)`
`void` `caseTCOMMA(Node node)`
`void` `caseTCOMPONENT(Node node)`
`void` `caseTCOMPONENTS(Node node)`
`void` `caseTCSTRING(Node node)`
`void` `caseTDEFAULT(Node node)`
`void` `caseTDEFINED(Node node)`
`void` `caseTDEFINITIONS(Node node)`
`void` `caseTDEFVAL(Node node)`
`void` `caseTDESCRIPTION(Node node)`
`void` `caseTDOT(Node node)`
`void` `caseTEND(Node node)`
`void` `caseTENTERPRISE(Node node)`
`void` `caseTENUMERATED(Node node)`
`void` `caseTEXPLICIT(Node node)`
`void` `caseTEXPORTS(Node node)`
`void` `caseTFALSE(Node node)`
`void` `caseTFROM(Node node)`
`void` `caseTHEXSTRING(Node node)`
`void` `caseTIDENTIFIER(Node node)`
`void` `caseTIMPLICIT(Node node)`
`void` `caseTIMPORTS(Node node)`
`void` `caseTINCLUDES(Node node)`
`void` `caseTINDEX(Node node)`
`void` `caseTINTEGER(Node node)`
`void` `caseTLCASEFIRST_IDENT(Node node)`
`void` `caseTLEFTBRACE(Node node)`
`void` `caseTLEFTBRACKET(Node node)`
`void` `caseTLEFTPAREN(Node node)`
`void` `caseTLESSTHAN(Node node)`
`void` `caseTMACRO(Node node)`
`void` `caseTMAX(Node node)`
`void` `caseTMIN(Node node)`
`void` `caseTMINUS_INFINITY(Node node)`
`void` `caseTMINUS(Node node)`
`void` `caseTNULL(Node node)`
`void` `caseTNUMBER(Node node)`
`void` `caseTOBJECT_TYPE(Node node)`
`void` `caseTOBJECT(Node node)`
`void` `caseTOCTET(Node node)`
`void` `caseTOF(Node node)`
`void` `caseTOPTIONAL(Node node)`
`void` `caseTPLUS_INFINITY(Node node)`
`void` `caseTPRESENT(Node node)`
`void` `caseTPRIVATE(Node node)`
`void` `caseTREAL(Node node)`
`void` `caseTREFERENCE(Node node)`
`void` `caseTRIGHTBRACE(Node node)`
`void` `caseTRIGHTBRACKET(Node node)`
`void` `caseTRIGHTPAREN(Node node)`
`void` `caseTSEMI_COLON(Node node)`
`void` `caseTSEQUENCE(Node node)`
`void` `caseTSET(Node node)`
`void` `caseTSIZE(Node node)`
`void` `caseTSTATUS(Node node)`
`void` `caseTSTRING(Node node)`
`void` `caseTSYNTAX(Node node)`
`void` `caseTTAGS(Node node)`
`void` `caseTTRAP_TYPE(Node node)`
`void` `caseTTRUE(Node node)`
`void` `caseTUCASEFIRST_IDENT(Node node)`
`void` `caseTUNIVERSAL(Node node)`
`void` `caseTVARIABLES(Node node)`
`void` `caseTWITH(Node node)`
`void` `caseType(Node node)`
`void` `caseTypeAssignment(Node node)`
`void` `caseTypeOrValue(Node node)`
`void` `caseTypeOrValueList(Node node)`
`void` `caseTypeReference(Node node)`
`void` `caseUpperEndPoint(Node node)`
`void` `caseValue(Node node)`
`void` `caseValueAssignment(Node node)`
`void` `caseValueConstraint(Node node)`
`void` `caseValueRange(Node node)`
`void` `caseVarTypes(Node node)`

Method Detail

### caseStart

    public void caseStart(Node node)

### caseModuleDefinition

    public void caseModuleDefinition(Node node)

### caseTagDefault

    public void caseTagDefault(Node node)

### caseModuleIdentifier

    public void caseModuleIdentifier(Node node)

### caseModuleBody

    public void caseModuleBody(Node node)

### caseExports

    public void caseExports(Node node)

### caseImports

    public void caseImports(Node node)

### caseSymbolsFromModuleList

    public void caseSymbolsFromModuleList(Node node)

### caseSymbolsFromModule

    public void caseSymbolsFromModule(Node node)

### caseSymbolList

    public void caseSymbolList(Node node)

### caseSymbol

    public void caseSymbol(Node node)

### caseAssignmentList

    public void caseAssignmentList(Node node)

### caseAssignment

    public void caseAssignment(Node node)

### caseMacroDefinition

    public void caseMacroDefinition(Node node)

### caseMacroBody

    public void caseMacroBody(Node node)

### caseSkipToEND

    public void caseSkipToEND(Node node)

### caseMacroReference

    public void caseMacroReference(Node node)

### caseTypeAssignment

    public void caseTypeAssignment(Node node)

### caseType

    public void caseType(Node node)

### caseBuiltinType

    public void caseBuiltinType(Node node)

### caseIntegerType

    public void caseIntegerType(Node node)

### caseNamedNumberList

    public void caseNamedNumberList(Node node)

### caseNamedNumber

    public void caseNamedNumber(Node node)

### caseSignedNumber

    public void caseSignedNumber(Node node)

### caseStringType

    public void caseStringType(Node node)

### caseBitStringType

    public void caseBitStringType(Node node)

### caseSequenceType

    public void caseSequenceType(Node node)

### caseSequenceOfType

    public void caseSequenceOfType(Node node)

### caseSetType

    public void caseSetType(Node node)

### caseSetOfType

    public void caseSetOfType(Node node)

### caseElementTypeList

    public void caseElementTypeList(Node node)

### caseElementType

    public void caseElementType(Node node)

### caseNamedType

    public void caseNamedType(Node node)

### caseChoiceType

    public void caseChoiceType(Node node)

### caseEnumeratedType

    public void caseEnumeratedType(Node node)

### caseSelectionType

    public void caseSelectionType(Node node)

### caseTaggedType

    public void caseTaggedType(Node node)

### caseTag

    public void caseTag(Node node)

### caseClassNumber

    public void caseClassNumber(Node node)

### caseClass

    public void caseClass(Node node)

### caseAnyType

    public void caseAnyType(Node node)

### caseDefinedType

    public void caseDefinedType(Node node)

### caseConstraintList

    public void caseConstraintList(Node node)

### caseConstraint

    public void caseConstraint(Node node)

### caseValueConstraint

    public void caseValueConstraint(Node node)

### caseValueRange

    public void caseValueRange(Node node)

### caseLowerEndPoint

    public void caseLowerEndPoint(Node node)

### caseUpperEndPoint

    public void caseUpperEndPoint(Node node)

### caseSizeConstraint

    public void caseSizeConstraint(Node node)

### caseAlphabetConstraint

    public void caseAlphabetConstraint(Node node)

### caseValueAssignment

    public void caseValueAssignment(Node node)

### caseValue

    public void caseValue(Node node)

### caseDefinedValue

    public void caseDefinedValue(Node node)

### caseBuiltinValue

    public void caseBuiltinValue(Node node)

### caseBooleanValue

    public void caseBooleanValue(Node node)

### caseSpecialRealValue

    public void caseSpecialRealValue(Node node)

### caseNullValue

    public void caseNullValue(Node node)

### caseNamedValue

    public void caseNamedValue(Node node)

### caseObjectIdentifierValue

    public void caseObjectIdentifierValue(Node node)

### caseObjIdComponentList

    public void caseObjIdComponentList(Node node)

### caseObjIdComponent

    public void caseObjIdComponent(Node node)

### caseNameAndNumberForm

    public void caseNameAndNumberForm(Node node)

### caseBinaryString

    public void caseBinaryString(Node node)

### caseHexString

    public void caseHexString(Node node)

### caseCharString

    public void caseCharString(Node node)

### caseNumber

    public void caseNumber(Node node)

### caseIdentifier

    public void caseIdentifier(Node node)

### caseModuleReference

    public void caseModuleReference(Node node)

### caseTypeReference

    public void caseTypeReference(Node node)

### caseDefinedMacroType

    public void caseDefinedMacroType(Node node)

### caseDefinedMacroName

    public void caseDefinedMacroName(Node node)

### caseSnmpObjectTypeMacroType

    public void caseSnmpObjectTypeMacroType(Node node)

### caseSnmpTrapTypeMacroType

    public void caseSnmpTrapTypeMacroType(Node node)

### caseSnmpAccessPart

    public void caseSnmpAccessPart(Node node)

### caseSnmpStatusPart

    public void caseSnmpStatusPart(Node node)

### caseSnmpDescrPart

    public void caseSnmpDescrPart(Node node)

### caseSnmpReferPart

    public void caseSnmpReferPart(Node node)

### caseSnmpIndexPart

    public void caseSnmpIndexPart(Node node)

### caseTypeOrValueList

    public void caseTypeOrValueList(Node node)

### caseTypeOrValue

    public void caseTypeOrValue(Node node)

### caseSnmpDefValPart

    public void caseSnmpDefValPart(Node node)

### caseSnmpVarPart

    public void caseSnmpVarPart(Node node)

### caseVarTypes

    public void caseVarTypes(Node node)

### caseEOF

    public void caseEOF(Node node)

### caseTDOT

    public void caseTDOT(Node node)

### caseTCOMMA

    public void caseTCOMMA(Node node)

### caseTSEMI_COLON

    public void caseTSEMI_COLON(Node node)

### caseTLEFTPAREN

    public void caseTLEFTPAREN(Node node)

### caseTRIGHTPAREN

    public void caseTRIGHTPAREN(Node node)

### caseTLEFTBRACE

    public void caseTLEFTBRACE(Node node)

### caseTRIGHTBRACE

    public void caseTRIGHTBRACE(Node node)

### caseTLEFTBRACKET

    public void caseTLEFTBRACKET(Node node)

### caseTRIGHTBRACKET

    public void caseTRIGHTBRACKET(Node node)

### caseTMINUS

    public void caseTMINUS(Node node)

### caseTLESSTHAN

    public void caseTLESSTHAN(Node node)

### caseTBAR

    public void caseTBAR(Node node)

### caseTASSIGN

    public void caseTASSIGN(Node node)

### caseTDEFINITIONS

    public void caseTDEFINITIONS(Node node)

### caseTEXPLICIT

    public void caseTEXPLICIT(Node node)

### caseTIMPLICIT

    public void caseTIMPLICIT(Node node)

### caseTTAGS

    public void caseTTAGS(Node node)

### caseTBEGIN

    public void caseTBEGIN(Node node)

### caseTEND

    public void caseTEND(Node node)

### caseTEXPORTS

    public void caseTEXPORTS(Node node)

### caseTIMPORTS

    public void caseTIMPORTS(Node node)

### caseTFROM

    public void caseTFROM(Node node)

### caseTMACRO

    public void caseTMACRO(Node node)

### caseTINTEGER

    public void caseTINTEGER(Node node)

### caseTREAL

    public void caseTREAL(Node node)

### caseTBOOLEAN

    public void caseTBOOLEAN(Node node)

### caseTNULL

    public void caseTNULL(Node node)

### caseTBIT

    public void caseTBIT(Node node)

### caseTOCTET

    public void caseTOCTET(Node node)

### caseTSTRING

    public void caseTSTRING(Node node)

### caseTENUMERATED

    public void caseTENUMERATED(Node node)

### caseTSEQUENCE

    public void caseTSEQUENCE(Node node)

### caseTSET

    public void caseTSET(Node node)

### caseTOF

    public void caseTOF(Node node)

### caseTCHOICE

    public void caseTCHOICE(Node node)

### caseTUNIVERSAL

    public void caseTUNIVERSAL(Node node)

### caseTAPPLICATION

    public void caseTAPPLICATION(Node node)

### caseTPRIVATE

    public void caseTPRIVATE(Node node)

### caseTANY

    public void caseTANY(Node node)

### caseTDEFINED

    public void caseTDEFINED(Node node)

### caseTBY

    public void caseTBY(Node node)

### caseTOBJECT

    public void caseTOBJECT(Node node)

### caseTIDENTIFIER

    public void caseTIDENTIFIER(Node node)

### caseTINCLUDES

    public void caseTINCLUDES(Node node)

### caseTMIN

    public void caseTMIN(Node node)

### caseTMAX

    public void caseTMAX(Node node)

### caseTSIZE

    public void caseTSIZE(Node node)

### caseTWITH

    public void caseTWITH(Node node)

### caseTCOMPONENT

    public void caseTCOMPONENT(Node node)

### caseTCOMPONENTS

    public void caseTCOMPONENTS(Node node)

### caseTPRESENT

    public void caseTPRESENT(Node node)

### caseTABSENT

    public void caseTABSENT(Node node)

### caseTOPTIONAL

    public void caseTOPTIONAL(Node node)

### caseTDEFAULT

    public void caseTDEFAULT(Node node)

### caseTTRUE

    public void caseTTRUE(Node node)

### caseTFALSE

    public void caseTFALSE(Node node)

### caseTPLUS_INFINITY

    public void caseTPLUS_INFINITY(Node node)

### caseTMINUS_INFINITY

    public void caseTMINUS_INFINITY(Node node)

### caseTOBJECT_TYPE

    public void caseTOBJECT_TYPE(Node node)

### caseTTRAP_TYPE

    public void caseTTRAP_TYPE(Node node)

### caseTSYNTAX

    public void caseTSYNTAX(Node node)

### caseTACCESS

    public void caseTACCESS(Node node)

### caseTSTATUS

    public void caseTSTATUS(Node node)

### caseTDESCRIPTION

    public void caseTDESCRIPTION(Node node)

### caseTREFERENCE

    public void caseTREFERENCE(Node node)

### caseTINDEX

    public void caseTINDEX(Node node)

### caseTDEFVAL

    public void caseTDEFVAL(Node node)

### caseTENTERPRISE

    public void caseTENTERPRISE(Node node)

### caseTVARIABLES

    public void caseTVARIABLES(Node node)

### caseTBINSTRING

    public void caseTBINSTRING(Node node)

### caseTHEXSTRING

    public void caseTHEXSTRING(Node node)

### caseTCSTRING

    public void caseTCSTRING(Node node)

### caseTUCASEFIRST_IDENT

    public void caseTUCASEFIRST_IDENT(Node node)

### caseTLCASEFIRST_IDENT

    public void caseTLCASEFIRST_IDENT(Node node)

### caseTNUMBER

    public void caseTNUMBER(Node node)